//Javascript Orios Page
var xmlHttp
function nuevoAjax()
{
	var xmlhttp=false;
 	try {
 		xmlhttp = new ActiveXObject("Msxml2.XMLHTTP");
 	} catch (e) {
 		try {
 			xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
 		} catch (E) {
 			xmlhttp = false;
 		}
  	}
	if (!xmlhttp && typeof XMLHttpRequest!='undefined') {
 		xmlhttp = new XMLHttpRequest();
	}
	return xmlhttp;
}


/*
function agregar()

{	
	document.getElementById('contenido').innerHTML= "<center><img src='img/ajax-loader.gif'><p class='style4'>Procesando...</p></center>";
	var clave=document.getElementById('clave').value;
	var cantidad=document.getElementById('cantidad').value;
	var folio=document.getElementById('folio2').value;
	//alert(folio);
	if (clave =='')
	{
		alert("No se ha seleccionado producto");
		return;
	}
	if (cantidad =='')
	{
		alert("Requieres ingresar cantidad del producto");
		return;
	}
	agrega=nuevoAjax();
	agrega.open("GET", "ajax_consultas_ejecutarsalida.php?clave="+clave+"&"+"cantidad="+cantidad+"&"+"folio="+folio,true);
	agrega.onreadystatechange= 
	function() 
	{ 	
		if (agrega.readyState==4)
		{ 
			document.getElementById('contenido').innerHTML=agrega.responseText; 
			//document.getElementById('clave').value='';
			//document.getElementById('nombre').value='';
			//document.getElementById('cantidad').value='';
		}
	} 
	agrega.send(null);
	location.href="ejecutarsalida2.php?consfolio="+folio;
	//alert("Producto "+clave+" agregado.");
}*/

function masart()
{
	document.getElementById('masarticulos').innerHTML= "<center><img src='img/ajax-loader.gif'>&nbsp;<span class='style4'>Procesando...</span></center>";
	var cuantos=document.getElementById('cuantos').value;
	//alert(cuantos);
	
	mas=nuevoAjax();
	mas.open("GET", "ajax_consultas_ejecutarsalida.php?cuantos="+cuantos,true);
	mas.onreadystatechange= 
	function() 
	{ 	
		if (mas.readyState==4)
		{ 
			document.getElementById('masarticulos').innerHTML=mas.responseText; 
		}
	}
	mas.send(null);
}


function cargaproductos()
{
	document.getElementById('proceso').innerHTML= "<p align='center' class='style4'><img src='img/ajax-loader.gif'><br>Generando listado de productos...</p>";
	var folio=document.getElementById('folio').value;
	//alert(folio);
	
	gen=nuevoAjax();
	gen.open("GET", "ajax_consultas_ejecutarsalida.php?genera="+folio,true);
	gen.onreadystatechange= 
	function() 
	{ 	
		if (gen.readyState==4)
		{ 
			document.getElementById('proceso').innerHTML=gen.responseText; 
		}
	}
	gen.send(null);
	location.href="ejecutarsalida2.php?consfolio="+folio;
}


/*
function guardaentrega(id)
{
	var consfolio=document.getElementById("folio").value;
	var restan=document.getElementById('quedan'+id).value;
	var cantidad=document.getElementById('entrega'+id).value;

	if (cantidad =="")
	{
		alert("¡No ha ingresado cantidad a entregar!");
		return;
	}
	*/
	/*
	if(restan < cantidad)
	{
		alert("¡La cantidad que tiene disponible es "+restan);
		return;
	}
	*/

	//alert("Si jalo "+cantidad+" del folio: "+consfolio+", Quedan: "+quedan);

	/*

	entre=nuevoAjax();

	entre.open("GET", "ajax_consultas_ejecutarsalida.php?folioentrega="+consfolio+"&cantidad="+cantidad+"&prod="+id,true);

	entre.onreadystatechange= 



	function() 

	{ 	

		if (entre.readyState==4)

		{ 

			document.getElementById('contenido').innerHTML=entre.responseText; 

			//document.getElementById(id).value='';

		}

	} 

	entre.send(null);

	location.href="ejecutarsalida2.php?consfolio="+consfolio;

}

/*

function cambioenventa()



{

	var consfolio=document.getElementById("consfolio").value;

	alert(consfolio);

	var cambio=document.getElementById("cambio").value;

	alert(cambio);

	var idcambio=document.getElementById('idcambio').value;

	alert(idcambio);

	document.getElementById('cambiohecho').innerHTML= "<center><img src='img/ajax-loader.gif'><p class='style4'>Procesando...</p></center>";

	camvta=nuevoAjax();

	camvta.open("GET", "pv_consultas_ajax.php?cambio="+cambio+"&idcambio="+idcambio+"&consfolio="+consfolio,true);

	camvta.onreadystatechange= 

	function() 

	{ 	

		if (camvta.readyState==4)

		{ 

			document.getElementById('cambiohecho').innerHTML=camvta.responseText; 

		}

	} 

	camvta.send(null);

}

*/